com.threerings.micasa.lobby

## Class LobbyMarshaller

- java.lang.Object
- - com.threerings.presents.data.InvocationMarshaller
  - - com.threerings.micasa.lobby.LobbyMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, LobbyService, com.threerings.presents.client.InvocationService

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from LobbyService.java.")
    public class LobbyMarshaller
    extends com.threerings.presents.data.InvocationMarshaller
    implements LobbyService

Provides the implementation of the `LobbyService` interface that marshalls the arguments and delivers the request to the provider on the server. Also provides an implementation of the response listener interfaces that marshall the response arguments and deliver them back to the requesting client.

### Nested Class Summary

Nested Classes
`static class` `LobbyMarshaller.CategoriesMarshaller` Marshalls results to implementations of `LobbyService.CategoriesListener`.
`static class` `LobbyMarshaller.LobbiesMarshaller` Marshalls results to implementations of `LobbyService.LobbiesListener`.

### Nested classes/interfaces inherited from class com.threerings.presents.data.InvocationMarshaller

`com.threerings.presents.data.InvocationMarshaller.ConfirmMarshaller, com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller, com.threerings.presents.data.InvocationMarshaller.ResultMarshaller`

### Nested classes/interfaces inherited from interface com.threerings.micasa.lobby.LobbyService

`LobbyService.CategoriesListener, LobbyService.LobbiesListener`

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `GET_CATEGORIES` The method id used to dispatch `getCategories(com.threerings.micasa.lobby.LobbyService.CategoriesListener)` requests.
`static int` `GET_LOBBIES` The method id used to dispatch `getLobbies(java.lang.String, com.threerings.micasa.lobby.LobbyService.LobbiesListener)` requests.

### Constructor Summary

Constructors
Constructor and Description
`LobbyMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getCategories(LobbyService.CategoriesListener arg1)` Requests the list of lobby categories that are available on this server.
`void` `getLobbies(String arg1, LobbyService.LobbiesListener arg2)` Requests information on all active lobbies that match the specified category.

### Methods inherited from class com.threerings.presents.data.InvocationMarshaller

`getInvocationCode, init, readObject, setInvocationOid, setNoResponse, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### GET_CATEGORIES

    public static final int GET_CATEGORIES

The method id used to dispatch `getCategories(com.threerings.micasa.lobby.LobbyService.CategoriesListener)` requests.

See Also:
  Constant Field Values

#### GET_LOBBIES

    public static final int GET_LOBBIES

The method id used to dispatch `getLobbies(java.lang.String, com.threerings.micasa.lobby.LobbyService.LobbiesListener)` requests.

See Also:
  Constant Field Values

### Constructor Detail

#### LobbyMarshaller

    public LobbyMarshaller()

### Method Detail

#### getCategories

    public void getCategories(LobbyService.CategoriesListener arg1)

Description copied from interface: `LobbyService`
Requests the list of lobby categories that are available on this server.

Specified by:
  `getCategories` in interface `LobbyService`
Parameters:
  `arg1` - the listener that will receive and process the response.

#### getLobbies

    public void getLobbies(String arg1,
                           LobbyService.LobbiesListener arg2)

Description copied from interface: `LobbyService`
Requests information on all active lobbies that match the specified category.

Specified by:
  `getLobbies` in interface `LobbyService`
Parameters:
  `arg1` - the category of game for which a list of lobbies is desired.
  `arg2` - the listener that will receive and process the response.